Get billing invoice
Retrieves the specified invoice.
This method retrieves a specific invoice by invoiceId. To find past invoices for an account, first use the listInvoices method to retrieve available invoices, optionally filtering by from_date and to_date. If no date range is specified, listInvoices returns invoices from the last 365 days. Then use the returned invoiceId with the get method to retrieve a specific invoice.
Note: If the pdfAvailable property in the response is set to true, you can download a PDF version of the invoice. To download the PDF, make the call again and change the value of the Accept property in the header to Accept: application/pdf.
Privileges required: account administrator
The response returns a list of charges and information about the charges. Quantities are usually shown as ‘unlimited’ or an integer. Amounts are shown in the currency set for the account.
Response
The following table provides a description of the different chargeName property values. The information will grow as more chargeable items are added to the system.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.